Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519898 - [Docs][NFV] Clarify the need for PMD threads on NUMA sockets in NFV Config Guide
Summary: [Docs][NFV] Clarify the need for PMD threads on NUMA sockets in NFV Config Guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 12.0 (Pike)
Assignee: Sandra McCann
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 16:29 UTC by Sandra McCann
Modified: 2018-01-05 20:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-05 20:18:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sandra McCann 2017-12-01 16:29:52 UTC
Add content to the NFV Configuration guide to specify that each NUMA socket needs at least one PDM thread assigned to it.

Comment 3 Sandra McCann 2017-12-15 16:25:15 UTC
In the following section in the NFV Planning and Prerequisite Guide:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html-single/network_functions_virtualization_planning_and_prerequisites_guide/#proc_finding-numa-topology

The NUMA and NIC details between the introspection example and the manual retrival example are using different topologies. These two sections should use the same underlying hardware to ensure the information is compatible/understandable between the two approaches.

Comment 5 Sandra McCann 2017-12-15 16:40:04 UTC
In the following section in the NFV Planning and Prerequisite Guide:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html-single/network_functions_virtualization_planning_and_prerequisites_guide/#concept_ovsdpdk-cpu-partitioning

The image shows PMD threads on each NUMA node, but the content does not clarify or highlight this requirement.  Add content to clearly point this out.

Comment 6 Sandra McCann 2017-12-18 18:49:25 UTC
In the following section in the NFV Planning and Prerequisite Guide:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html-single/network_functions_virtualization_planning_and_prerequisites_guide/#c_ovsdpdk-cpu-parameters

Section already talks about needing one PMD thread pair per NUMA node, but turn this into a highlighted NOTE to improve visibility.

Comment 8 Sandra McCann 2017-12-18 19:52:03 UTC
In the NFV Config guide, add a note to each section on network_environment.yaml to clarify the need for PMD threads on each NUMA node.


Note You need to log in before you can comment on or make changes to this bug.